Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.fill
Class JRCrosstabExpressionEvaluator

    java.lang.Object
      net.sf.jasperreports.crosstabs.fill.JRCrosstabExpressionEvaluator

All Implemented Interfaces:
  JRFillExpressionEvaluator

    public class JRCrosstabExpressionEvaluator

extends java.lang.Object
implements JRFillExpressionEvaluator

Expression evaluator used for crosstabs at fill time.

Version:
  $Id: JRCrosstabExpressionEvaluator.java 3507 2010-03-04 15:02:09Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRCrosstabExpressionEvaluator(JREvaluator evaluator)`

Method Summary
`java.lang.Object` | `evaluate(JRExpression expression, byte evaluationType)`
`void` | `init(java.util.Map parametersMap, java.util.Map variablesMap, WhenResourceMissingTypeEnum whenResourceMissingType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRCrosstabExpressionEvaluator

    public JRCrosstabExpressionEvaluator(JREvaluator evaluator)

Method Detail

### evaluate

    public java.lang.Object evaluate(JRExpression expression,
                                     byte evaluationType)
                              throws JRException

  Specified by:
    `evaluate` in interface `JRFillExpressionEvaluator`
  Throws:
    `JRException`

### init

    public void init(java.util.Map parametersMap,
                     java.util.Map variablesMap,
                     WhenResourceMissingTypeEnum whenResourceMissingType)
              throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com